/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.base.controller;

import com.tofly.base.service.UserdeptService;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.pojo.Userdept;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * 用户部门表
 *
 * @author JF
 * @date Wed Sep 18 00:00:00 CST 2024
 */
@RestController
@AllArgsConstructor
@RequestMapping("/userdept")
@Api(tags="用户部门表接口")
public class UserdeptController {

    private final  UserdeptService userdeptService;

//    /**
//    * 分页查询
//    * @param page 分页对象
//    * @param userdept 用户部门表
//    * @return
//    */
//    @GetMapping("/page" )
//    @ApiOperation(value = "分页查询")
//    public ResultRespone getUserdeptPage(Page page, @ModelAttribute Userdept userdept) {
//      return ResultRespone.success(userdeptService.page(page, Wrappers.query(userdept)));
//    }
//
//
//    /**
//     * 通过id查询用户部门表
//     * @param id id
//     * @return ResultRespone
//     */
//    @GetMapping("/{id}" )
//    @ApiOperation(value = "通过ID查询")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    public ResultRespone getById(@PathVariable("id" ) Long id) {
//      return ResultRespone.success(userdeptService.getById(id));
//    }
//
//    /**
//     * 新增用户部门表
//     * @param userdept 用户部门表
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="新增用户部门表" )
//    @ApiOperation(value = "新增用户部门表")
//    @PostMapping
//    public ResultRespone save(@RequestBody Userdept userdept) {
//      return ResultRespone.success(userdeptService.save(userdept));
//    }

    /**
     * 新增或者修改用户部门表
     * @param userdeptList 用户部门表列表
     * @return ResultRespone
     */
    @ToFlyAppLog(title="新增或者修改用户部门表" )
    @ApiOperation(value = "新增或者修改用户部门表")
    @PostMapping("/saveOrUpdate")
    public ResultRespone saveOrUpdateUserDept(@RequestBody List<Userdept> userdeptList) {
        return ResultRespone.success(userdeptService.saveOrUpdateUserDept(userdeptList));
    }

//    /**
//     * 修改用户部门表
//     * @param userdept 用户部门表
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="修改用户部门表" )
//    @ApiOperation(value = "修改用户部门表")
//    @PutMapping
//    public ResultRespone updateById(@RequestBody Userdept userdept) {
//      return ResultRespone.success(userdeptService.updateById(userdept));
//    }
//
//    /**
//     * 通过id删除用户部门表
//     * @param id id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id删除用户部门表" )
//    @ApiOperation(value = "通过ID删除用户部门表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
//    })
//    @DeleteMapping("/{id}" )
//    public ResultRespone removeById(@PathVariable Long id) {
//      return ResultRespone.success(userdeptService.removeById(id));
//    }
//
//    /**
//     * 通过id批量删除用户部门表
//     * @param ids id
//     * @return ResultRespone
//     */
//    @ToFlyAppLog(title="通过id批量删除用户部门表" )
//    @ApiOperation(value = "通过ID批量删除用户部门表")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
//    })
//    @DeleteMapping("/deleteByIds" )
//    public ResultRespone removeById(String ids) {
//        return ResultRespone.success(userdeptService.removeByIds(Arrays.asList(ids.split(","))));
//    }
}
