package com.tofly.scada.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 汇中流量计历史数据
 */
@Data
public class HzFlowMeterHisVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("仪表编号")
    private String meterCode;

    @ApiModelProperty("累计流量（m³）")
    private BigDecimal accumulateFlow;

    @ApiModelProperty("累计运行时间（min）")
    private BigDecimal time;

    @ApiModelProperty("正累计流量（m³）")
    private BigDecimal positiveFlow;

    @ApiModelProperty("负累计流量（m³）")
    private BigDecimal negativeFlow;

    @ApiModelProperty("正累计运行时间（min）")
    private BigDecimal positiveTime;

    @ApiModelProperty("负累计运行时间（min）")
    private BigDecimal negativeTime;

    @ApiModelProperty("瞬时流量（m³/h）")
    private BigDecimal instantFlow;

    @ApiModelProperty("水温（℃）")
    private BigDecimal temperature;

    @ApiModelProperty("压力（MPa）")
    private BigDecimal pressure;

    @ApiModelProperty("仪表类型")
    private BigDecimal meterType;

    @ApiModelProperty("阀门状态")
    private String valveStatus;

    @ApiModelProperty("电池电压（V）")
    private BigDecimal batteryVoltage;

    @ApiModelProperty("信号强度（dBm）")
    private BigDecimal signalVal;

    @ApiModelProperty("故障码")
    private BigDecimal errorCode;

    @ApiModelProperty("故障ID")
    private String errorId;

    @ApiModelProperty("剩余流量（m³）")
    private BigDecimal unusedFlow;

    @ApiModelProperty("采集时间")
    private String collectTime;

    @ApiModelProperty("上报时间")
    private String reportTime;
}
